Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.hl7.msg
Class HL7CommunicationControlInfo

    java.lang.Object
      com.stc.connector.tcpip.hl7.msg.HL7CommunicationControlInfo

All Implemented Interfaces:
  HL7CommunicationControlInfoInterface

    public class HL7CommunicationControlInfo

extends java.lang.Object
implements HL7CommunicationControlInfoInterface

Version:
  cvs revision: $Revision: 1.9 $ Last Modified: $Date: 2008/04/22 05:54:45 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`HL7CommunicationControlInfo()` Constructor for HL7CommunicationControlInfo.
`HL7CommunicationControlInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)`

Method Summary
`boolean` | `getEnableJournalling()` Method getEnableJournalling
`long` | `getMaxCannedNAKSendRetry()` Gets Maximun number of Canned NAK send retries.
`long` | `getMaxEmptyReadRetry()` Gets Maximun number of empty read retries.
`long` | `getMaxNAKReceiveRetry()` Gets Maximun number of NAK receive retries.
`long` | `getMaxNAKSendRetry()` Gets Maximun number of NAK send retries.
`long` | `getMaxNoResponse()` Gets Maximun number of tries to receive response.
`int` | `getTimeToWaitForAResponse()` Gets time to wait for a response.
`boolean` | `isEnableJournalling()` Configurable value to specify the Journalling is enable or not.
`void` | `setEnableJournalling(boolean b)` Method setEnableJournalling
`void` | `setMaxCannedNAKSendRetry(long l)` Method setMaxCannedNAKSendRetry
`void` | `setMaxEmptyReadRetry(long l)` Method setMaxEmptyReadRetry
`void` | `setMaxNAKReceiveRetry(long l)` Method setMaxNAKReceiveRetry
`void` | `setMaxNAKSendRetry(long l)` Method setMaxNAKSendRetry
`void` | `setMaxNoResponse(long l)` Method setMaxNoResponse
`void` | `setTimeToWaitForAResponse(int i)` Method setTimeToWaitForAResponse
`void` | `validate()` Method validate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### HL7CommunicationControlInfo

    public HL7CommunicationControlInfo()
                                throws HL7ApplicationException

  Constructor for HL7CommunicationControlInfo.

  Throws:
    `HL7ApplicationException`

### HL7CommunicationControlInfo

    public HL7CommunicationControlInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)
                                throws HL7ApplicationException

Throws:
  `HL7ApplicationException`

Method Detail

### getMaxEmptyReadRetry

    public long getMaxEmptyReadRetry()

  Gets Maximun number of empty read retries.

  Parameters:
    None.

  Specified by:
    `getMaxEmptyReadRetry` in interface `HL7CommunicationControlInfoInterface`
  Returns:
    `maxEmptyReadRetry` - return long value.

### getMaxNAKReceiveRetry

    public long getMaxNAKReceiveRetry()

  Gets Maximun number of NAK receive retries.

  Parameters:
    None.

  Specified by:
    `getMaxNAKReceiveRetry` in interface `HL7CommunicationControlInfoInterface`
  Returns:
    `maxNAKReceiveRetry` - return long value.

### getMaxNAKSendRetry

    public long getMaxNAKSendRetry()

  Gets Maximun number of NAK send retries.

  Parameters:
    None.

  Specified by:
    `getMaxNAKSendRetry` in interface `HL7CommunicationControlInfoInterface`
  Returns:
    `maxNAKSendRetry` - return long value.

### getMaxCannedNAKSendRetry

    public long getMaxCannedNAKSendRetry()

  Gets Maximun number of Canned NAK send retries.

  Parameters:
    None.

  Specified by:
    `getMaxCannedNAKSendRetry` in interface `HL7CommunicationControlInfoInterface`
  Returns:
    `maxCannedNAKSendRetry` - return long value.

### getMaxNoResponse

    public long getMaxNoResponse()

  Gets Maximun number of tries to receive response.

  Parameters:
    None.

  Specified by:
    `getMaxNoResponse` in interface `HL7CommunicationControlInfoInterface`
  Returns:
    `maxNoResponse` - return long value.

### getTimeToWaitForAResponse

    public int getTimeToWaitForAResponse()

  Gets time to wait for a response.

  Parameters:
    None.

  Specified by:
    `getTimeToWaitForAResponse` in interface `HL7CommunicationControlInfoInterface`
  Returns:
    `timeToWaitForAResponse` - return int value.

### isEnableJournalling

    public boolean isEnableJournalling()

  Configurable value to specify the Journalling is enable or not.

  Parameters:
    None.

  Specified by:
    `isEnableJournalling` in interface `HL7CommunicationControlInfoInterface`
  Returns:
    `enableJournalling` - return true/false.

### getEnableJournalling

    public boolean getEnableJournalling()

  Description copied from interface: `HL7CommunicationControlInfoInterface`
  Method getEnableJournalling

  Specified by:
    `getEnableJournalling` in interface `HL7CommunicationControlInfoInterface`
  Returns:

### setMaxEmptyReadRetry

    public void setMaxEmptyReadRetry(long l)
                              throws HL7ApplicationException

  Description copied from interface: `HL7CommunicationControlInfoInterface`
  Method setMaxEmptyReadRetry

  Specified by:
    `setMaxEmptyReadRetry` in interface `HL7CommunicationControlInfoInterface`
  Parameters:
    `l` -
  Throws:
    `HL7ApplicationException`

### setMaxNAKReceiveRetry

    public void setMaxNAKReceiveRetry(long l)
                               throws HL7ApplicationException

  Description copied from interface: `HL7CommunicationControlInfoInterface`
  Method setMaxNAKReceiveRetry

  Specified by:
    `setMaxNAKReceiveRetry` in interface `HL7CommunicationControlInfoInterface`
  Parameters:
    `l` -
  Throws:
    `HL7ApplicationException`

### setMaxNAKSendRetry

    public void setMaxNAKSendRetry(long l)
                            throws HL7ApplicationException

  Description copied from interface: `HL7CommunicationControlInfoInterface`
  Method setMaxNAKSendRetry

  Specified by:
    `setMaxNAKSendRetry` in interface `HL7CommunicationControlInfoInterface`
  Parameters:
    `l` -
  Throws:
    `HL7ApplicationException`

### setMaxCannedNAKSendRetry

    public void setMaxCannedNAKSendRetry(long l)
                                  throws HL7ApplicationException

  Description copied from interface: `HL7CommunicationControlInfoInterface`
  Method setMaxCannedNAKSendRetry

  Specified by:
    `setMaxCannedNAKSendRetry` in interface `HL7CommunicationControlInfoInterface`
  Parameters:
    `l` -
  Throws:
    `HL7ApplicationException`

### setMaxNoResponse

    public void setMaxNoResponse(long l)
                          throws HL7ApplicationException

  Description copied from interface: `HL7CommunicationControlInfoInterface`
  Method setMaxNoResponse

  Specified by:
    `setMaxNoResponse` in interface `HL7CommunicationControlInfoInterface`
  Parameters:
    `l` -
  Throws:
    `HL7ApplicationException`

### setTimeToWaitForAResponse

    public void setTimeToWaitForAResponse(int i)
                                   throws HL7ApplicationException

  Description copied from interface: `HL7CommunicationControlInfoInterface`
  Method setTimeToWaitForAResponse

  Specified by:
    `setTimeToWaitForAResponse` in interface `HL7CommunicationControlInfoInterface`
  Parameters:
    `i` -
  Throws:
    `HL7ApplicationException`

### setEnableJournalling

    public void setEnableJournalling(boolean b)

  Description copied from interface: `HL7CommunicationControlInfoInterface`
  Method setEnableJournalling

  Specified by:
    `setEnableJournalling` in interface `HL7CommunicationControlInfoInterface`
  Parameters:
    `b` -

### validate

    public void validate()
                  throws HL7ApplicationException

  Method validate.

  Throws:
    `HL7ApplicationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD